Connect Server
curl --request POST \
--url https://api.series.hr/attendance/connect-server/{sessionId} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"ServerId": "<string>",
"PlaceId": "<string>",
"GameId": "<string>"
}
'import requests
url = "https://api.series.hr/attendance/connect-server/{sessionId}"
payload = {
"ServerId": "<string>",
"PlaceId": "<string>",
"GameId": "<string>"
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ServerId: '<string>', PlaceId: '<string>', GameId: '<string>'})
};
fetch('https://api.series.hr/attendance/connect-server/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Attendance
Connect Server
Link a game server to a session
POST
/
attendance
/
connect-server
/
{sessionId}
Connect Server
Connect a Roblox game server to an attendance session (Premium/Enterprise only).
Request
curl -X POST https://api.series.hr/attendance/connect-server/session_xyz789 \
-H "apikey: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"ServerId": "server_12345",
"PlaceId": "9876543210",
"GameId": "game_98765",
"JobId": "job_54321"
}'
Parameters
string
required
The attendance session ID
string
required
Roblox game server ID (required)
string
Roblox place ID (optional)
string
Roblox game ID (optional)
Response
{
"success": true,
"data": {
"sessionId": "session_xyz789",
"ServerId": "server_12345",
"connectedAt": "2024-01-15T10:30:00Z"
}
}
Authorizations
Pass your API key in the apikey header. Alternatively, the x-api-key header is also accepted.
Path Parameters
The session ID
Body
application/json
Response
Server connected
⌘I

